Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.config
Class FacesConfig

    java.lang.Object
      org.ajax4jsf.config.FacesConfig

    public class FacesConfig

extends java.lang.Object

Author:
  asmirnov

Constructor Summary
`FacesConfig()`

Method Summary
`java.util.List<java.lang.String>` | `getExcludedAttributes()`
`protected javax.xml.parsers.SAXParser` | `getParser()`
`protected void` | `parse(java.io.InputStream facesConfig)`
`void` | `parse(javax.servlet.ServletContext context)`
`protected void` | `parseClasspath(javax.servlet.ServletContext context)`
`protected void` | `parseDefault(javax.servlet.ServletContext context)`
`protected void` | `parseOptional(javax.servlet.ServletContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesConfig

    public FacesConfig()

Method Detail

### parse

    public void parse(javax.servlet.ServletContext context)

### parseDefault

    protected void parseDefault(javax.servlet.ServletContext context)
                         throws ParsingException

  Throws:
    `ParsingException`

### parseOptional

    protected void parseOptional(javax.servlet.ServletContext context)
                          throws ParsingException

  Throws:
    `ParsingException`

### parseClasspath

    protected void parseClasspath(javax.servlet.ServletContext context)
                           throws ParsingException

  Throws:
    `ParsingException`

### parse

    protected void parse(java.io.InputStream facesConfig)
                  throws ParsingException

  Throws:
    `ParsingException`

### getParser

    protected javax.xml.parsers.SAXParser getParser()
                                             throws ParsingException

  Throws:
    `ParsingException`

### getExcludedAttributes

    public java.util.List<java.lang.String> getExcludedAttributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.